/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface TimeProps extends PConnFieldProps {
}
export declare class TimeComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: TimeProps;
    label$: string;
    value$: string;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    testId: string;
    bHasForm$: boolean;
    componentReference: string;
    helperText: string;
    placeholder: string;
    fieldControl: FormControl<string | null>;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnChange(event: any): void;
    fieldOnBlur(event: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeComponent, "app-time", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
